Bug 145245 - display offset/corrupted in graphical boot with 2.6.10 kernel
display offset/corrupted in graphical boot with 2.6.10 kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 16:31 EST by Rich Ibbotson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Ibbotson 2005-01-15 16:31:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
When booting 2.6.10 kernels with graphical boot enabled ("rhgb"
specified in /etc/grub.conf), I expect the graphical boot screen to
fill the physical display.  Instead, the graphical boot screen is
offset downwards by about 10% of the height of the physical display. 
The top 10% of the display contains what appear to be randomly colored
pixels.  Due to the offset, the bottom 10% of the normal graphical
boot screen is not visible.  After the system completes booting into
runlevel 5, the display is correct (the login screen fills the display).

I see this problem (the offset) when booting the 2.6.10-1.8_FC2 and
2.6.10-1.9_FC2 kernels as well as when booting a vanilla 2.6.10 kernel
downloaded and compiled from www.kernel.org.  When booting the
2.6.9-1.11_FC2 kernel, the problem is not present (the graphical boot
screen fills the display).

I do not know if this is an issue with rhgb that was uncovered by the
newer kernels, or if the problem lies in the 2.6.10 kernel.


Version-Release number of selected component (if applicable):
rhgb-0.11.2-6

How reproducible:
Always

Steps to Reproduce:
1. Press the power button
2. At the grub menu, choose any installed 2.6.10 kernel
3. 
    

Actual Results:  The graphical boot screen is shifted downwards, and
the top of the display is filled with scrambled pixels.

Expected Results:  The graphical boot screen should fill the display.

Additional info:

This problem is occurring on a Gateway 200 laptop.  All installed
kernel RPMs are i686 architecture, and the Video card is identified by
hwbrowser as an Intel 82852/855GM Integrated Graphics Device.
Comment 1 Matthew Miller 2005-04-26 12:41:55 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 16:01:46 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.